* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: LEMONMILK;
    src: url('../fonts/LEMONMILK-Regular.otf');
    font-display: swap;
}

@font-face {
    font-family: LEMONMILKBOLD;
    src: url('../fonts/LEMONMILK-Bold.otf');
    font-display: swap;
}
.noSelect {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
}

#deciderBody {
    background-color: #D6C068;
}
#rouletteBody {
    height: 100vh;
    background-image: url('../images/syntGif.gif');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-color: black;
}

.pageHeadings {
    text-align: center;
    font-family: LEMONMILKBOLD;
    color: #FFFFFF;
    padding: 15px 5px;
}

h1 {
    font-size: 40px;
}
#deciderH1 {
    color: #F68B00;
}
#rouletteH1 {
    color: magenta;
}
.subHeader {
    font-size: 20px;
    margin: -5px 0 0 0;
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 15px 5px;
}

.scrollArea {
    position: relative;
    width: 100vw;
    height: 80px;
    outline: 2px solid magenta;
}

.pointer {
    position: absolute;
    left: 50%;
    width: 4px;
    background-color: gold;
    height: 20px;
}

#top {
    top: 0;
}
#bottom {
    bottom: 0;
}

.scrollArea ul {
    display: flex;
    list-style-type: none;
}

.scrollArea li {
    position: absolute;
    height: 80px;
    min-width: 80px;
    outline: 1px solid black;
}

#item0 {
    left: 600px;
}
 
#btnWrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 350px;
    margin: 0 0 20px 0;
}

#rouletteBtnWrapper {
    display: flex;
    justify-content: center;
    width: 350px;
    margin: 0 0 20px 0;
}

.mainBtn {
    width: 250px;
    height: 80px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    color: white;
    border-radius: 10px;
    font-family: LEMONMILK;
    font-size: 25px;
    padding: 10px 20px;
    margin: 10px 0;
}
#deciderBtn {
    background-color: #F68B00;
}
#rouletteBtn {
    background-color: magenta;
}
.mainBtn:hover {
    cursor: pointer;
    transform: scale(1.1);
}

#foodOutput {
    font-size: 40px;
    text-align: center;
    font-family: LEMONMILK;
}

form {
    display: flex;
    flex-direction: column;
}
input {
    width: 250px;
    height: 35px;
    font-size: 25px;
    border: none;
    border-radius: 10px;
    padding: 0 5px;
    margin: 0 0 10px 0;
}
footer {
    display: flex;
    justify-content: center;
}
#redirectLink {
    color: #5d501f;
}
#rouletteLink {
    color: darkmagenta;
}



/* --------------------- Desktop Version -----------------------*/ 
@media screen and (min-width: 1200px) {

    #rouletteBody {
        background-size: cover;
    }

    .pageHeadings {
        width: fit-content;
        text-align: left;
        margin: 0 auto;
        padding: 15px 25px;
    }

    h1 {
        font-size: 110px;
    }
    .subHeader {
        font-size: 55px;
        margin: -35px 0 0 4px;
    }

    main {
        display: flex;
        flex-direction: row;
        justify-content: center;
    }

    #btnWrapper {
        width: 525px;
        margin: 0 100px 0 0;
        position: relative;
        height: 640px;
    }

    #rouletteBtnWrapper {
        width: 525px;
        margin: 0;
        position: relative;
        height: 640px;
    }
    
    .mainBtn {
        width: 375px;
        height: 120px;
        font-size: 40px;
        padding: 10px 20px;
        margin: 20px 0 0 0;
        position: absolute;
        top: 220px;
    }
    
    #foodOutput {
        position: absolute;
        font-size: 50px;
        max-width: 90%;
        max-height: 215px;
        overflow: hidden;
    }

    input {
        width: 375px;
        height: 52px;
        font-size: 35px;
        padding: 0 10px;
        margin: 0 0 12px 0;
    }
}
